<section class='panel' data-ng-controller="ServicesController" ng-init="findOne()">
  <header class="panel-heading higher-panel-heading">
    Edit Service
  </header>
  <div class="panel-body">
    <form class="form-horizontal row" name="form" role="form" data-ng-submit="update()" novalidate>
      <div class='col-md-12'>
         <div class="form-group row">
          <label class="col-md-2 control-label">API Code</label>
          <div class="col-md-10">
            <input type="text" class="form-control" data-ng-model="service.api_code" id="label" placeholder="API service id for order." required>
          </div>
        </div>
        <div class="form-group row">
          <label class="col-md-2 control-label">Long Name</label>
          <div class="col-md-10">
            <input type="text" class="form-control" data-ng-model="service.label" id="label" placeholder="Human readable service name" required>
          </div>
        </div>
        <div class="form-group row">
          <label class="col-md-2 control-label">Description</label>
          <div class="col-md-10">
            <input type="text" class="form-control" data-ng-model="service.description" id="label" placeholder="Description - not required">
          </div>
        </div>
        <div class="form-group row">
          <label class="col-md-2 control-label">Codename</label>
          <div class="col-md-10">
            <input type="text" class="form-control" data-ng-model="service.value" id="value" placeholder="Machine readable service name" required>
          </div>
        </div>
        <div class="form-group row">
          <label class="col-md-2 control-label">Pattern</label>
          <div class="col-md-10">
            <input type="text" class="form-control" data-ng-model="service.pattern" id="pattern" placeholder="Valid regex pattern to check this service URL against" required>
          </div>
        </div>
        <div class="form-group row">
          <label class="col-md-2 control-label">Category</label>
          <div class="col-md-10">
            <input type="text" class="form-control" data-ng-model="service.category" id="category" placeholder="Category of the service" required>
          </div>
        </div>
        <div class="form-group row">
          <div class="col-md-12">
            <div class="checkbox">
              <label>
                <input type="checkbox" data-ng-model="service.recurring" id="recurring" placeholder="">Recurring Payment</label>
            </div>
          </div>
        </div>
        <span ng-if="!service.recurring">
          <div class="form-group row">
            <label class="col-md-2 control-label">Multiplier</label>
            <div class="col-md-10">
              <input type="number" class="form-control" data-ng-model="service.multiplier" id="multiplier" required>
            </div>
          </div>
          <div class="form-group row">
            <label class="col-md-2 control-label">Minimum Quantity</label>
            <div class="col-md-10">
              <input type="number" class="form-control" data-ng-model="service.minimum" id="minimum" required>
            </div>
          </div>
          <div class="form-group row">
            <label class="col-md-2 control-label">Price</label>
            <div class="col-md-10">
              <input type="number" class="form-control" data-ng-model="service.price" id="price" required>
            </div>
          </div>
          <div class="row">
                <label class="col-md-2 control-label">API Price</label>
                <div class="col-md-10">
                  <input type="number" class="form-control" data-ng-model="service.api_price" id="api_price" required>
                </div>
              </div>
        </span>
        <span ng-if="service.recurring">
          <div ng-if="!service.packages.length" class="col-md-12" style="margin-bottom: 1em;">No packages added yet</div>
          <div class="form-group row" ng-repeat="(key, package) in service.packages" style="margin-bottom: 10px;">
            <div style="padding: 10px; margin: 0px 1em; background: #fff; border: 1px solid #eee;" class="clearfix">
              <div class="row">
                <label class="col-md-2 control-label">Label</label>
                <div class="col-md-10">
                  <input type="text" class="form-control" data-ng-model="package.label" id="label" required>
                </div>
              </div>
              <div class="row">
                <label class="col-md-2 control-label">Price</label>
                <div class="col-md-10">
                  <input type="number" class="form-control" data-ng-model="package.price" id="price" required>
                </div>
              </div>
              <div class="row">
                <label class="col-md-2 control-label">Quantity</label>
                <div class="col-md-10">
                  <input type="number" class="form-control" data-ng-model="package.quantity" id="quantity" required>
                </div>
              </div>
              <div class="row">
                <div class="col-md-offset-10 col-md-2">
                  <a class="btn btn-danger btn-block" ng-click="removePackage(key)">Remove</a>
                </div>
              </div>
            </div>
          </div>
          <a class="btn btn-default" ng-click="addPackage()">Add Package</a>
        </span>
        <div class="form-group row">
          <div class="col-md-12">
            <div class="checkbox">
              <label>
                <input type="checkbox" data-ng-model="service.disabled" id="disabled" placeholder="">Hide service</label>
            </div>
          </div>
        </div>
        <div class="form-group row">
          <div class="col-md-12">
            <div class="checkbox">
              <label>
                <input type="checkbox" data-ng-model="service.targeted" id="targeted" placeholder="">Country targeted service</label>
            </div>
          </div>
        </div>
        <div class="form-group row" ng-show="service.targeted">
          <label mean-token="'limit-countries'" class="col-md-2 control-label">Limit to Countries</label>
          <div class="col-md-10">
            <ui-select multiple ng-model="service.countries" theme="select2" style="width: 100%;">
              <ui-select-match placeholder="Select country...">{{$item.text}}</ui-select-match>
              <ui-select-choices repeat="country.id as country in countries | propsFilter: {id: $select.search, text: $select.search}">
                <div ng-bind-html="country.text | highlight: $select.search"></div>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>
        <div class="form-group row">
          <div class="col-md-offset-9 col-md-3">
            <button type="submit" class="btn btn-lg btn-info col-md-12" ng-disabled="disableButton">Save Service</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</section>
